<!DOCTYPE html>
<html>
  <head>
    <title>Bootstrap Example</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </head>
  <body onload="onPageLoading()">
    <pre> Hãy tạo bảng dữ liệu nhân viên</pre>
  </body>
  <script>
    // đây là dữ liệu dùng tạo bảng
    var gEmployeeList = `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`;
    var gEmployeeListObj = JSON.parse(gEmployeeList);
    console.log(gEmployeeListObj);
    function onPageLoading() {
      var vTable = document.createElement("table");
      var vThead = $("<thead>");
        var vRowThead = $("<tr>");
      vRowThead.append($("<td>" + "id" + "<td>"));
      vRowThead.append($("<td>" + "Firstname" + "<td>"));
      vRowThead.append($("<td>" + "Lastname" + "<td>"));
      vRowThead.append($("<td>" + "picture" + "<td>"));
        $(vTable).append(vThead);
        $(vThead).append(vRowThead);
      $(vTable).append('<tbody id = "tbody"></tbody>');
      $(vTable).addClass("table");
      $("body").append(vTable);
      var vObject = gEmployeeListObj.employees.employee;
      for (var bI = 0; bI < vObject.length; bI++) {
        var vRow = $("<tr>");
        vRow.append($("<td>" + vObject[bI].id + "<td>"));
        vRow.append($("<td>" + vObject[bI].firstName + "<td>"));
        vRow.append($("<td>" + vObject[bI].lastName + "<td>"));
        var vTd = $("<td>");
        var vImg = $("<img>");
        $(vImg).attr("src", vObject[bI].photo);
        vTd.append(vImg);
        vRow.append(vTd);
        $("#tbody").append(vRow);
      }
    }
  </script>
</html>

